Browse Source

build: Updating dependencies

composer:
* mediawiki/minus-x: 0.3.1 → 0.3.2
* jakub-onderka/php-console-highlighter: 0.3.2 -> 0.4.0
* mediawiki/mediawiki-phan-config: 0.8.0 -> 0.9.0

npm:
* grunt-banana-checker: 0.6.0 -> 0.8.1

Change-Id: I7c78fdbc2f5702f1d51af6dd93bea9ecac08e3ce
downstream
Umherirrender 2 years ago
parent
commit
6e5892b93f
  1. 6
      composer.json
  2. 3
      includes/TimelessTemplate.php
  3. 6
      package-lock.json
  4. 2
      package.json

6
composer.json

@ -2,9 +2,9 @@
"require-dev": {
"jakub-onderka/php-parallel-lint": "1.0.0",
"mediawiki/mediawiki-codesniffer": "28.0.0",
"jakub-onderka/php-console-highlighter": "0.3.2",
"mediawiki/minus-x": "0.3.1",
"mediawiki/mediawiki-phan-config": "0.8.0"
"jakub-onderka/php-console-highlighter": "0.4.0",
"mediawiki/minus-x": "0.3.2",
"mediawiki/mediawiki-phan-config": "0.9.0"
},
"scripts": {
"fix": [

3
includes/TimelessTemplate.php

@ -460,7 +460,6 @@ class TimelessTemplate extends BaseTemplate {
}
// Numeric strings gets an integer when set as key, cast back - T73639
$name = (string)$name;
// @phan-suppress-next-line PhanTypeArraySuspiciousNullable
$html .= $this->getPortlet( $name, $content['content'] );
}
@ -727,6 +726,7 @@ class TimelessTemplate extends BaseTemplate {
'id' => 'ca-more',
'class' => 'dropdown-toggle'
];
// @phan-suppress-next-line PhanTypePossiblyInvalidDimOffset
if ( $this->data['language_urls'] !== false || $sortedPileOfTools['variants']
|| isset( $this->otherProjects ) ) {
$pileOfTools['languages'] = [
@ -1082,6 +1082,7 @@ class TimelessTemplate extends BaseTemplate {
} else {
// Okay, we really do want a 1x otherwise. If this throws an error or
// something because there's nothing here, GOOD.
// @phan-suppress-next-line PhanTypePossiblyInvalidDimOffset
$attribs['src'] = $logoData['1x'];
// Throw the rest in a srcset

6
package-lock.json

@ -1827,9 +1827,9 @@
}
},
"grunt-banana-checker": {
"version": "0.6.0",
"resolved": "https://registry.npmjs.org/grunt-banana-checker/-/grunt-banana-checker-0.6.0.tgz",
"integrity": "sha1-ZJpnd0AABJ4uwMSyrBSJFYZOsg8=",
"version": "0.8.1",
"resolved": "https://registry.npmjs.org/grunt-banana-checker/-/grunt-banana-checker-0.8.1.tgz",
"integrity": "sha512-fx3lqZZFL9EihNI4BpwNmcjsb5tCVfa/xWVXLT3fipSOrLr/BsWdAUTltscTx55/tSwSR8VbJOulI00e1WTtoA==",
"dev": true
},
"grunt-eslint": {

2
package.json

@ -6,7 +6,7 @@
"devDependencies": {
"eslint-config-wikimedia": "0.9.0",
"grunt": "1.0.4",
"grunt-banana-checker": "0.6.0",
"grunt-banana-checker": "0.8.1",
"grunt-eslint": "21.0.0",
"grunt-jsonlint": "1.1.0",
"grunt-stylelint": "0.13.0",

Loading…
Cancel
Save